Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.io
Class NonshareableDataInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.ka2ddo.yaac.io.NonshareableDataInputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput

    public final class NonshareableDataInputStream

extends java.io.FilterInputStream
implements java.io.DataInput

This class is a duplicate of java.io.DataInputStream, without the byte counter and the synchronization, so it can only be used by a single thread.

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`NonshareableDataInputStream(java.io.InputStream in)` Creates a NonshareableDataInputStream that uses the specified underlying InputStream.

Method Summary
`int` | `read(byte[] b)` Reads some number of bytes from the contained input stream and stores them into the buffer array `b`.
`int` | `read(byte[] b, int off, int len)` Reads up to `len` bytes of data from the contained input stream into an array of bytes.
`boolean` | `readBoolean()` See the general contract of the `readBoolean` method of `DataInput`.
`byte` | `readByte()` See the general contract of the `readByte` method of `DataInput`.
`char` | `readChar()` See the general contract of the `readChar` method of `DataInput`.
`double` | `readDouble()` See the general contract of the `readDouble` method of `DataInput`.
`float` | `readFloat()` See the general contract of the `readFloat` method of `DataInput`.
`void` | `readFully(byte[] b)` See the general contract of the `readFully` method of `DataInput`.
`void` | `readFully(byte[] b, int off, int len)` See the general contract of the `readFully` method of `DataInput`.
`int` | `readInt()` See the general contract of the `readInt` method of `DataInput`.
`java.lang.String` | `readLine()` See the general contract of the `readLine` method of `DataInput`.
`long` | `readLong()` See the general contract of the `readLong` method of `DataInput`.
`short` | `readShort()` See the general contract of the `readShort` method of `DataInput`.
`int` | `readUnsignedByte()` See the general contract of the `readUnsignedByte` method of `DataInput`.
`int` | `readUnsignedShort()` See the general contract of the `readUnsignedShort` method of `DataInput`.
`java.lang.String` | `readUTF()` See the general contract of the `readUTF` method of `DataInput`.
`int` | `skipBytes(int n)` See the general contract of the `skipBytes` method of `DataInput`.

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonshareableDataInputStream

    public NonshareableDataInputStream(java.io.InputStream in)

  Creates a NonshareableDataInputStream that uses the specified underlying InputStream.

  Parameters:
    `in` - the specified input stream

Method Detail

### read

    public final int read(byte[] b)
                   throws java.io.IOException

  Reads some number of bytes from the contained input stream and stores them into the buffer array `b`. The number of bytes actually read is returned as an integer. This method blocks until input data is available, end of file is detected, or an exception is thrown.

  If `b` is null, a `NullPointerException` is thrown. If the length of `b` is zero, then no bytes are read and `0` is returned; otherwise, there is an attempt to read at least one byte. If no byte is available because the stream is at end of file, the value `-1` is returned; otherwise, at least one byte is read and stored into `b`.

  The first byte read is stored into element `b[0]`, the next one into `b[1]`, and so on. The number of bytes read is, at most, equal to the length of `b`. Let `k` be the number of bytes actually read; these bytes will be stored in elements `b[0]` through `b[k-1]`, leaving elements `b[k]` through `b[b.length-1]` unaffected.

  The `read(b)` method has the same effect as:

  >      read(b, 0, b.length)

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Parameters:
    `b` - the buffer into which the data is read.
  Returns:
    the total number of bytes read into the buffer, or `-1` if there is no more data because the end of the stream has been reached.
  Throws:
    `java.io.IOException` - if the first byte cannot be read for any reason other than end of file, the stream has been closed and the underlying input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`, `InputStream.read(byte[], int, int)`

### read

    public final int read(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

  Reads up to `len` bytes of data from the contained input stream into an array of bytes. An attempt is made to read as many as `len` bytes, but a smaller number may be read, possibly zero. The number of bytes actually read is returned as an integer.

  This method blocks until input data is available, end of file is detected, or an exception is thrown.

  If `len` is zero, then no bytes are read and `0` is returned; otherwise, there is an attempt to read at least one byte. If no byte is available because the stream is at end of file, the value `-1` is returned; otherwise, at least one byte is read and stored into `b`.

  The first byte read is stored into element `b[off]`, the next one into `b[off+1]`, and so on. The number of bytes read is, at most, equal to `len`. Let k be the number of bytes actually read; these bytes will be stored in elements `b[off]` through `b[off+`k`-1]`, leaving elements `b[off+`k`]` through `b[off+len-1]` unaffected.

  In every case, elements `b[0]` through `b[off]` and elements `b[off+len]` through `b[b.length-1]` are unaffected.

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Parameters:
    `b` - the buffer into which the data is read.
    `off` - the start offset in the destination array `b`
    `len` - the maximum number of bytes read.
  Returns:
    the total number of bytes read into the buffer, or `-1` if there is no more data because the end of the stream has been reached.
  Throws:
    `java.lang.NullPointerException` - If `b` is `null`.
    `java.lang.IndexOutOfBoundsException` - If `off` is negative, `len` is negative, or `len` is greater than `b.length - off`
    `java.io.IOException` - if the first byte cannot be read for any reason other than end of file, the stream has been closed and the underlying input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`, `InputStream.read(byte[], int, int)`

### readFully

    public final void readFully(byte[] b)
                         throws java.io.IOException

  See the general contract of the `readFully` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readFully` in interface `java.io.DataInput`
  Parameters:
    `b` - the buffer into which the data is read.
  Throws:
    `java.io.EOFException` - if this input stream reaches the end before reading all the bytes.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`

### readFully

    public final void readFully(byte[] b,
                                int off,
                                int len)
                         throws java.io.IOException

  See the general contract of the `readFully` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readFully` in interface `java.io.DataInput`
  Parameters:
    `b` - the buffer into which the data is read.
    `off` - the start offset of the data.
    `len` - the number of bytes to read.
  Throws:
    `java.io.EOFException` - if this input stream reaches the end before reading all the bytes.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`

### skipBytes

    public final int skipBytes(int n)
                        throws java.io.IOException

  See the general contract of the `skipBytes` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `skipBytes` in interface `java.io.DataInput`
  Parameters:
    `n` - the number of bytes to be skipped.
  Returns:
    the actual number of bytes skipped.
  Throws:
    `java.io.IOException` - if the contained input stream does not support seek, or the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.

### readBoolean

    public final boolean readBoolean()
                              throws java.io.IOException

  See the general contract of the `readBoolean` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readBoolean` in interface `java.io.DataInput`
  Returns:
    the `boolean` value read.
  Throws:
    `java.io.EOFException` - if this input stream has reached the end.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`

### readByte

    public final byte readByte()
                        throws java.io.IOException

  See the general contract of the `readByte` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readByte` in interface `java.io.DataInput`
  Returns:
    the next byte of this input stream as a signed 8-bit `byte`.
  Throws:
    `java.io.EOFException` - if this input stream has reached the end.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`

### readUnsignedByte

    public final int readUnsignedByte()
                               throws java.io.IOException

  See the general contract of the `readUnsignedByte` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readUnsignedByte` in interface `java.io.DataInput`
  Returns:
    the next byte of this input stream, interpreted as an unsigned 8-bit number.
  Throws:
    `java.io.EOFException` - if this input stream has reached the end.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`

### readShort

    public final short readShort()
                          throws java.io.IOException

  See the general contract of the `readShort` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readShort` in interface `java.io.DataInput`
  Returns:
    the next two bytes of this input stream, interpreted as a signed 16-bit number.
  Throws:
    `java.io.EOFException` - if this input stream reaches the end before reading two bytes.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`

### readUnsignedShort

    public final int readUnsignedShort()
                                throws java.io.IOException

  See the general contract of the `readUnsignedShort` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readUnsignedShort` in interface `java.io.DataInput`
  Returns:
    the next two bytes of this input stream, interpreted as an unsigned 16-bit integer.
  Throws:
    `java.io.EOFException` - if this input stream reaches the end before reading two bytes.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`

### readChar

    public final char readChar()
                        throws java.io.IOException

  See the general contract of the `readChar` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readChar` in interface `java.io.DataInput`
  Returns:
    the next two bytes of this input stream, interpreted as a `char`.
  Throws:
    `java.io.EOFException` - if this input stream reaches the end before reading two bytes.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`

### readInt

    public final int readInt()
                      throws java.io.IOException

  See the general contract of the `readInt` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readInt` in interface `java.io.DataInput`
  Returns:
    the next four bytes of this input stream, interpreted as an `int`.
  Throws:
    `java.io.EOFException` - if this input stream reaches the end before reading four bytes.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`

### readLong

    public final long readLong()
                        throws java.io.IOException

  See the general contract of the `readLong` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readLong` in interface `java.io.DataInput`
  Returns:
    the next eight bytes of this input stream, interpreted as a `long`.
  Throws:
    `java.io.EOFException` - if this input stream reaches the end before reading eight bytes.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `FilterInputStream.in`

### readFloat

    public final float readFloat()
                          throws java.io.IOException

  See the general contract of the `readFloat` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readFloat` in interface `java.io.DataInput`
  Returns:
    the next four bytes of this input stream, interpreted as a `float`.
  Throws:
    `java.io.EOFException` - if this input stream reaches the end before reading four bytes.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `DataInputStream.readInt()`, `Float.intBitsToFloat(int)`

### readDouble

    public final double readDouble()
                            throws java.io.IOException

  See the general contract of the `readDouble` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readDouble` in interface `java.io.DataInput`
  Returns:
    the next eight bytes of this input stream, interpreted as a `double`.
  Throws:
    `java.io.EOFException` - if this input stream reaches the end before reading eight bytes.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
  See Also:
    `DataInputStream.readLong()`, `Double.longBitsToDouble(long)`

### readLine

    public final java.lang.String readLine()
                                    throws java.io.IOException

  See the general contract of the `readLine` method of `DataInput`.

  Bytes for this operation are read from the contained input stream. Note that this method only supports extended 8-bit ASCII; it does not support UTF-8 or other locale-specific character sets.

  Specified by:
    `readLine` in interface `java.io.DataInput`
  Returns:
    the next line of text from this input stream.
  Throws:
    `java.io.IOException` - if an I/O error occurs.
  See Also:
    `BufferedReader.readLine()`, `FilterInputStream.in`

### readUTF

    public final java.lang.String readUTF()
                                   throws java.io.IOException

  See the general contract of the `readUTF` method of `DataInput`.

  Bytes for this operation are read from the contained input stream.

  Specified by:
    `readUTF` in interface `java.io.DataInput`
  Returns:
    a Unicode string.
  Throws:
    `java.io.EOFException` - if this input stream reaches the end before reading all the bytes.
    `java.io.IOException` - the stream has been closed and the contained input stream does not support reading after close, or another I/O error occurs.
    `java.io.UTFDataFormatException` - if the bytes do not represent a valid modified UTF-8 encoding of a string.
  See Also:
    `DataInputStream.readUTF(java.io.DataInput)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD